/// <reference types="react" />
import { StyleProp, TextStyle } from 'react-native';
import { ColorVariant, ThemableProps } from '../Common/Theme';
export interface BadgeProps extends ThemableProps {
    level: ColorVariant;
    variant: 'pill' | 'normal';
    content: string;
    style?: StyleProp<TextStyle>;
}
export declare const Badge: (props: BadgeProps) => JSX.Element;
