/// <reference types="react" />
import { StyleProp, TextStyle } from 'react-native';
import { ColorVariant, ThemableProps } from '../Common/Theme';
export interface BubbleProps extends ThemableProps {
    content: string;
    level: ColorVariant;
    role: 'ping' | 'pong';
    style?: StyleProp<TextStyle>;
}
export declare const Bubble: (props: BubbleProps) => JSX.Element;
