import React from 'react';
import { NestableProps } from '../Common/React';
import { ThemableProps } from '../Common/Theme';
export declare type ContainerProps<P = {}> = P & NestableProps & ThemableProps & {
    component: React.ComponentClass<P, any>;
};
export declare function Container<P>(props: ContainerProps<P>): React.ComponentElement<P, React.Component<P, any, any>>;
