/// <reference types="react" />
import { TextProps as RawTextProps } from 'react-native';
import { NestableProps } from '../Common/React';
import { ColorVariant, ThemableProps } from '../Common/Theme';
export interface TextProps extends NestableProps, RawTextProps, ThemableProps {
    variant: ColorVariant;
}
export declare const Text: (props: TextProps) => JSX.Element;
