declare type Partial<T, K extends keyof T> = ((prev: Readonly<T>) => (Pick<T, K> | T | null)) | (Pick<T, K> | T | null);
export declare class ObjectUtils {
    static assign<T, K extends keyof T>(prev: T, partial: Partial<T, K>): T;
    static merge<T extends {}, K extends {}>(target: T, source: K): T & K;
    static isObject<T>(target: T): boolean;
}
export {};
