/// <reference types="react" />
import { TextProps } from 'react-native';
import { NestableProps } from '../Common/React';
import { ThemableProps, TitleConfig } from '../Common/Theme';
export interface HeaderProps extends NestableProps, TextProps, ThemableProps {
    level: keyof TitleConfig;
}
export declare const Header: (props: HeaderProps) => JSX.Element;
