var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { useTheme } from '../Hooks/Theme';
import { Text } from './Text';
export const Subtitle = (props) => {
    const { level, subtle, theme, style } = props, others = __rest(props, ["level", "subtle", "theme", "style"]);
    const config = useTheme(theme);
    return (React.createElement(Text, Object.assign({}, others, { variant: 'secondary', subtle: subtle, theme: theme, style: [
            config.font.header.subtitle[level],
            style
        ] })));
};
